<h1>
  <i class="material-icons" style="cursor: pointer" (click)="navigateBack()">arrow_back</i>
  {{venue.title}}
</h1>

<div class="top-area">
  <div class="info-area">
    <div class="info-area__box">
      <label>Start Date</label>
      <div class="info-area__box__value">{{venue.dates.startdate ? (venue.dates.startdate | date:'EEE dd MMM yyyy') : '-'}}</div>
    </div>

    <div class="info-area__box">
      <label>End Date</label>
      <div class="info-area__box__value">{{venue.dates.enddate ? (venue.dates.enddate | date:'EEE dd MMM yyyy') : '-'}}</div>
    </div>

    <div class="info-area__box">
      <label>Location</label>
      <div class="info-area__box__value">{{(venue.location.city | transformToUppercase) + ', ' + venue.location.adress}}</div>
    </div>

    <div class="info-area__box">
      <label>Zip code</label>
      <div class="info-area__box__value">{{venue.location.zipcode ? venue.location.zipcode : '-'}}</div>
    </div>
  </div>

  <div class="description-area">
    <label>Description (
      <span (click)="activeLanguage = 'en'">en</span>
      <span (click)="activeLanguage = 'de'">de</span>
      <span (click)="activeLanguage = 'es'">es</span>
      <span (click)="activeLanguage = 'fr'">fr</span>
      <span (click)="activeLanguage = 'it'">it</span>
      <span (click)="activeLanguage = 'nl'">nl</span>
      )</label>

    <div [innerHTML]="venue.details[activeLanguage].longdescription ? venue.details[activeLanguage].longdescription : '-'"></div>

    <div *ngIf="venue.urls.length > 0" class="additional-info">
      <label>Other Info:</label>
      <a *ngFor="let url of venue.urls; let i = index"
         [href]="url"
         target="_blank">Link no.{{i+1}}</a>
    </div>

    <div class="photos-area">
      <img *ngFor="let photo of venue.media"
           [src]="photo.url">
    </div>
  </div>
</div>

<div class="events-area">
  <h2>Events near this venue</h2>

  <div class="filter-area">
    <input [formControl]="tableSettingsService.detailsDataForm.get('venueName')"
           type="text"
           placeholder="Search the venue&hellip;">

    <div class="filter-area__filter-buttons">
      <div #filterRoot></div>
      <button (click)="toggleMap()" class="secondary-button">Toggle map view&hellip;</button>
      <button (click)="openFilter()" class="secondary-button">Filter&hellip;</button>
    </div>
  </div>

  <div class="content-container">
    <table class="standard-table"
           [ngClass]="{'standard-table--map-active': isMapActive}">
      <tr>
        <th table-sort [sortBy]="'title'" class="title__column">Name</th>
        <th table-sort [sortBy]="'location.city'">City</th>
        <th>Postcode</th>
        <th table-sort [sortBy]="'location.adress'">Address</th>
      </tr>

      <tr *ngFor="let item of dataSet
      | TableSortingPipe:tableSettingsService.detailsDataForm.value:
        tableSettingsService.activePage:
        tableSettingsService.sortBy:
        tableSettingsService.sortOrder:
        isMapActive"
          [routerLink]="'/venue-detail'"
          [queryParams]="{id: item.trcid}">
        <td [attr.col-name]="'Name'" class="title__column">{{item.title}}</td>
        <td [attr.col-name]="'City'">{{item.location.city | transformToUppercase}}</td>
        <td [attr.col-name]="'Postcode'">{{item.location.zipcode}}</td>
        <td [attr.col-name]="'Address'">{{item.location.adress}}</td>
       </tr>

      <tr *ngIf="dataSet.length == 0" class="no-results">
        There are currently no events near you.
      </tr>
      <app-paginator [dataSetSize]="tableSettingsService.currentDataSetLength"
                     [ngClass]="{'--abbreviated': isMapActive}"></app-paginator>
    </table>

    <div #mapContainer [ngClass]="{'google-map': isMapActive}"></div>
  </div>
</div>
